Subject: bug#75329: 30.0.93; gnus: lowering thread score doesn't work on e-mail threads (...?)

From: Mike Kupfer <[email-masked]>
Date: Wed, 08 Jan 2025 19:23:11 -0800

Christopher Howard wrote:

> 1. I go to a summary buffer, select an email near the top of a thread, and enter "L t e t"
> 2. It prompts me for value, the default being what looks like a "in-reply-to" message value
> 3. I press RET, accepting the default value
> 
> But nothing changes in the summary buffer.

The fact that nothing changes in the summary buffer is kind of expected,
I think.  When I change the score of, for example, a subject, the
summary buffer continues to show the old score.  To see the new score, I
have to cause the summary buffer to be regenerated, e.g., using "Y g".

I played around a bit with your recipe, using an nnmh group.  I was able
to score down by thread by making two changes to your recipe:

1. select the email that started the thread, not just one near the top.
(This might be an artifact of the thread that I tested on.  You probably
just need to select an email that everything afterwards refers to in the
References header.)

2. Use "L t s t" (s, not e).  I expect substring to be safe, because
AFAIK, the message ID for one email cannot be a substring of the message
ID for a second email, due to the angle brackets (<, >) being reserved.

regards,
mike